Skip to main content
GET
Python

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

id
string<uuid>
required

Query Parameters

authz_policy
string

(reserved for future use) Name of the registered authz policy to evaluate when fetching the content. Defaults to the reserved "default" policy when omitted. Ignored when authz is disabled.

Pattern: ^[a-z][a-z0-9_-]{0,63}$
principal_id
string

Identifier of the end-user (principal) on whose behalf the content is fetched. Used to look up authz subject attributes. Empty subject when omitted. Ignored when authz disabled.

Maximum string length: 256

Response

Successful get content

id
string
required

Content ID

text
string
required

Content chunk from the source

url
string
required

Source URL of the content

title
string
required

Title of the content or document

timestamp
integer
required

Unix timestamp when the content was indexed

file_type
enum<string>
required

The type of the source file

Available options:
html,
pdf,
ppt,
pptx,
pptm,
doc,
docx,
docm,
xls,
xlsx,
xlsm,
md,
txt,
jsonl,
png,
jpg,
webp,
heic,
heif,
wav,
mp3,
aiff,
aac,
m4a,
ogg,
flac,
mp4,
mpg,
mov,
avi,
flv,
webm,
wmv,
3gp,
notion_page
page_number
integer
default:0
required

Page number for paginated documents like PDFs. Set to 0 for sources without page numbers

source_type
enum<string>
required

The type of the source

Available options:
crawl,
local_file,
google_drive,
github,
notion
source_id
string

Optional source ID for the original source. For crawl content, use this value with GET /sources/{source_id}/raw to download the stored crawl file content. For local_file content, use GET /sources/{source_id} for source details.

keywords
string[]